#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Quoted
Summary:	Text::Quoted - extract the structure of a quoted mail message
Summary(pl.UTF-8):	Text::Quoted - wydzielenie struktury cytowanej wiadomości pocztowej
Name:		perl-Text-Quoted
Version:	2.09
Release:	1
# Artistic (README says: same as perl)
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	50bdf7f4c88ad790738ec85ddc0845eb
URL:		http://search.cpan.org/dist/Text-Quoted/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Text-Autoformat
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Quoted Perl module examines the structure of some text which may
contain multiple different levels of quoting, and turns the text into
a nested data structure.

%description -l pl.UTF-8
Moduł Perla Text::Quoted analizuje strukturę pewnego tekstu, który
może zawierać wiele różnych poziomów cytowania i przekształca tekst w
zagnieżdżoną strukturę danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install\
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Text/Quoted.pm
%{_mandir}/man3/*
%changelog
* Sat Feb 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-Quoted.git;a=log;h=master

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f73c880
- up to 2.09

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0843d18
- up to 2.08

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6937993
- up to 2.06

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 655743f
- up to 2.05

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> f333801
- generic URL

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> 5c39ef4
- up to 2.03

* Tue Sep 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f1126b
- up to 2.02

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 85ce220
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> eeebacf
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 525b41f
- formatting

* Sun Aug 08 2004 radek <radek@pld-linux.org> 8f876d1
- release 2: fixed build (rm pm_to_blib & Makefile)

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> da916e7
- updated to 1.8

* Thu May 06 2004 ankry <ankry@pld-linux.org> 0ae549f
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> 6085457
- license fixes, cosmetics

* Sun Jan 25 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 19f3cb5
- autoupdated to 1.5

* Sun Dec 07 2003 migo <migo@pld-linux.org> 05986ce
- up to 1.3
- fixed license, new bcond style

* Thu Oct 16 2003 radek <radek@pld-linux.org> 52c8e06
- BR: perl-Text-Autoformat for tests

* Thu Sep 25 2003 ankry <ankry@pld-linux.org> 2a20d2a
- pl translation, cosmetics

* Sat Sep 20 2003 Arkadiusz Miśkiewicz <arekm@maven.pl> c8da2b8
- initial pld release

